Bug 49807 - rpm-4.0.2-6x breaks ucd-snmp-4.1.1-2
Summary: rpm-4.0.2-6x breaks ucd-snmp-4.1.1-2
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-24 05:34 UTC by Michael Carew
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 22:08:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Carew 2001-07-24 05:34:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
after upgrading to new version of rpm, snmpd fails to start with the 
following error:

Starting snmpd: /usr/sbin/snmpd: error in loading shared 
libraries: /usr/lib/librpm.so.0: undefined symbol: fdio
[FAILED]

How reproducible:
Always

Steps to Reproduce:
1. upgrade to rpm-4.0.2-6x 
2. restart/start snmpd
3. watch the pretty error message
	

Actual Results:  it dies a horrible death

Expected Results:  it should actually work? :)

Additional info:

Comment 1 Phil Knirsch 2001-07-24 11:19:37 UTC
Have you tried the latest version of rpm?

You could also update the ucd-snmp to the newest version (a couple of bad bugs
have been fixed)...

Otherwise a rpm --rebuild on the SRPM of the ucd-snmp package with the newest
rpm version should fix it as well.

It's strange though that snmpd is somehow linked agains librpm... I've just
checked the newest version and don't see any linking to rpm libaries (why should
there be?!?).

Read ya, Phil

Comment 2 Phil Knirsch 2001-11-06 16:07:34 UTC
There is now a errata version of the most recent ucd-snmp package. If you could
try that one and tell me if that works so that i can close the bug.

Read ya, Phil

Comment 3 Michael Carew 2001-11-06 22:08:14 UTC
the latest ucd-snmp package fixes this problem :)

Comment 4 Phil Knirsch 2001-11-07 16:34:24 UTC
OK, closing this bug then ;)

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.